OpenVDB: GroupInfo Class Reference

OpenVDB 6.1.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GroupInfo Class Reference

Convenience class with methods for analyzing group data. More...

`#include <PointGroup.h>`

## Public Types
using | Descriptor = AttributeSet::Descriptor

## Public Member Functions
| GroupInfo (const AttributeSet &attributeSet)
size_t | unusedGroups () const
bool | canCompactGroups () const
| Return `true` if there are sufficient empty slots to allow compacting. More...
size_t | nextUnusedOffset () const
| Return the next empty group slot. More...
std::vector< size_t > | populateGroupIndices () const
| Return vector of indices correlating to the group attribute arrays. More...
bool | requiresMove (Name &sourceName, size_t &sourceOffset, size_t &targetOffset) const

## Static Public Member Functions
static size_t | groupBits ()
| Return the number of bits in a group (typically 8) More...

## Detailed Description

Convenience class with methods for analyzing group data.

## Member Typedef Documentation

## ◆ Descriptor

using Descriptor = AttributeSet::Descriptor

## Constructor & Destructor Documentation

## ◆ GroupInfo()

GroupInfo | ( | const AttributeSet & | attributeSet | ) |
| inline

## Member Function Documentation

## ◆ canCompactGroups()

bool canCompactGroups | ( |  | ) | const
| inline

Return `true` if there are sufficient empty slots to allow compacting.

## ◆ groupBits()

static size_t groupBits | ( |  | ) |
| inlinestatic

Return the number of bits in a group (typically 8)

## ◆ nextUnusedOffset()

size_t nextUnusedOffset | ( |  | ) | const
| inline

Return the next empty group slot.

## ◆ populateGroupIndices()

std::vector<size_t> populateGroupIndices | ( |  | ) | const
| inline

Return vector of indices correlating to the group attribute arrays.

## ◆ requiresMove()

bool requiresMove | ( | Name & | sourceName,
|  | size_t & | sourceOffset,
|  | size_t & | targetOffset
| ) |  | const
| inline

Determine if a move is required to efficiently compact the data and store the source name, offset and the target offset in the input parameters

## ◆ unusedGroups()

size_t unusedGroups | ( |  | ) | const
| inline

Return the number of empty group slots which correlates to the number of groups that can be stored without increasing the number of group attribute arrays

The documentation for this class was generated from the following file:

- PointGroup.h